### Method

# Ide EditorSidebar set_section_id

#### Declaration

    void
    ide_editor_sidebar_set_section_id (
      IdeEditorSidebar* self,
      const gchar* section_id
    )

#### Description

Changes the current section to `section_id`.

Available since: | 3.32

#### Parameters

`section_id` | `const gchar*`
| A section id to switch to.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.